#ifndef MOUSE_HPP
#define MOUSE_HPP

#include <Basis/Screen.hpp>
#include <Vector/Vector.hpp>
#include <vector>

//Demo of using mouse input in SDL + nest

class BlobPt {
public:
	Vector2f pos;
	Vector2f prev;
};

class Mouse : public Screen {
public:
	Mouse();
	virtual ~Mouse();
	void reset(); //reset blob position
	virtual void draw();
	void tick(); //perform fixed-step update
	virtual void update(float elapsed);
	virtual void handle_event(SDL_Event const &event);

	Vector2f mouse_pos;

	bool active;

	float time_acc;
	std::vector< BlobPt > blob;
};

#endif //MOUSE_HPP
