#ifndef TIMING_HPP
#define TIMING_HPP

#include <Vector/Vector.hpp>
#include <Basis/Screen.hpp>

class Ball {
public:
	Vector2f pos;
	Vector2f vel;
	void update(float elapsed_time);
};

class Timing : public Screen {
public:
	Timing();
	virtual ~Timing();
	virtual void draw();
	virtual void update(float elapsed);
	virtual void handle_event(SDL_Event const &);

	bool jitter;

	void reset_balls();
	//The per_frame ball is updated per frame and assumes the framerate:
	Ball per_frame;

	//The fixed_step ball is updated zero-or-more times a frame, depending
	//on time_acc:
	Ball fixed_step;
	float time_acc;

	//The variable_step ball is updated using the actual elapsed time:
	Ball variable_step;
};


#endif //TIMING_HPP
